com.google.cloud.dataflow.examples.cookbook

## Class TriggerExample.InsertDelays

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFn<String,String>
  - - com.google.cloud.dataflow.examples.cookbook.TriggerExample.InsertDelays

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  TriggerExample

    public static class TriggerExample.InsertDelays
    extends DoFn<String,String>

Add current time to each record. Also insert a delay at random to demo the triggers.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`DoFn.Context, DoFn.ProcessContext, DoFn.RequiresWindowAccess`

### Constructor Summary

Constructors
Constructor and Description
`InsertDelays()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `processElement(DoFn.ProcessContext c)`

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.DoFn

`createAggregator, createAggregator, finishBundle, getAllowedTimestampSkew, getInputTypeDescriptor, getOutputTypeDescriptor, populateDisplayData, startBundle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsertDelays

    public InsertDelays()

### Method Detail

#### processElement

    public void processElement(DoFn.ProcessContext c)
                        throws Exception

Specified by:
  `processElement` in class `DoFn<String,String>`
Throws:
  `Exception`